> ## Documentation Index
> Fetch the complete documentation index at: https://openapidocs.flexforwardship.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 利用可能な配送業者一覧を取得する

> 利用可能な配送業者一覧を返します。返された配送業者コードを、ラベル作成、プロダクト一覧取得、注文取り込みで使用してください。



## OpenAPI

````yaml /flex-forward-ja.yaml get /couriers
openapi: 3.1.0
info:
  title: Flex Forward Shipping API
  description: >-
    > **翻訳に関する注記:** この API
    リファレンスは英語から翻訳されています。[英語版](/api-reference/labels/create-label)が正式な情報源です。翻訳内容に不一致がある場合は、英語版を参照してください。


    Flex Forward は、複数の配送業者にわたる配送ラベルの作成、ラベルドキュメントの取得、および荷物追跡のための統一 API を提供します。
  version: 1.0.0
servers:
  - url: https://api.flexforwardship.com
    description: Production
  - url: https://api-staging.flexforwardship.com
    description: Staging
security: []
tags:
  - name: CreateLabels
    description: 配送ラベルを作成する。
  - name: Labels
    description: 配送ラベルとラベルドキュメントを取得する。
  - name: Tracking
    description: 出荷状況と追跡チェックポイント。
  - name: Products
    description: 利用可能な配送プロダクト一覧。
paths:
  /couriers:
    get:
      tags:
        - Couriers
      summary: 利用可能な配送業者一覧を取得する
      description: 利用可能な配送業者一覧を返します。返された配送業者コードを、ラベル作成、プロダクト一覧取得、注文取り込みで使用してください。
      operationId: listCouriers
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CouriersListResponse'
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerAuth: []
        - apiKey: []
          apiToken: []
components:
  schemas:
    CouriersListResponse:
      additionalProperties: false
      type: object
      required:
        - couriers
      properties:
        couriers:
          type: array
          items:
            additionalProperties: false
            type: object
            required:
              - code
              - name
            properties:
              code:
                type: string
              name:
                type: string
    ErrorResponse:
      additionalProperties: false
      type: object
      required:
        - error
      properties:
        error:
          description: 人間が読めるエラーメッセージ。
          type: string
          example: Shipping account not found
        code:
          description: 機械可読なエラーコード。
          type: string
          example: COURIER_ERROR
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
    apiKey:
      type: apiKey
      in: header
      name: x-rr-apikey
    apiToken:
      type: apiKey
      in: header
      name: x-rr-apitoken

````